Page MenuHomePhabricator

Flow page histories are not loaded correctly
Closed, DeclinedPublic

Description

How to reproduce

  • enable Flow on your talk page using Beta preferences
  • go to your talk page using Huggle (alt + M shortcut)

The last contributor name shown in the top left corner is the bot "Flow_talk_page_manager", or he is only the creator of the page, and it has been modified many times since by other users.
The history at the top right shows too only one diff from the bot.

Event Timeline

Framawiki triaged this task as Low priority.May 26 2018, 4:19 PM
Framawiki created this task.
Restricted Application added subscribers: RichSmith, Aklapper. · View Herald TranscriptMay 26 2018, 4:19 PM
Petrb added a subscriber: Petrb.May 26 2018, 5:18 PM

Is there actually any way to get the history of page using API? I don't really think so :/

I can't find such method in the doc https://www.mediawiki.org/wiki/Extension:StructuredDiscussions/API
@Trizek-WMF how can we by api get the history elements/page of a flow board ? ie. the api endpoint to get the same info as https://fr.wikipedia.org/w/index.php?title=Discussion_utilisateur:Framawiki&action=history page.
Btw https://www.mediawiki.org/wiki/Extension:StructuredDiscussions says that Flow is "under active development". :)

@Framawiki but do we really need them? I mean what is a point of seeing a history of Flow board. You can't use revert / rollback API for them anyway. I mean, history of flow board can be probably simply ignored, it's not a wikipage anyway.

Do you have any use-case where having such a history would be useful for anything meaningful?

Maybe to see if vandal reverted / hid the warnings sent to them? But IDK if regular users can use that feature to hide messages sent to them from other users

@Trizek-WMF how can we by api get the history elements/page of a flow board ?

No idea. @Catrope may have some clues.

Btw https://www.mediawiki.org/wiki/Extension:StructuredDiscussions says that Flow is "under active development". :)

That's the case until a product manager says the opposite.

Vvjjkkii renamed this task from Flow page histories are not loaded correctly to 47baaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii raised the priority of this task from Low to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 47baaaaaaa to Flow page histories are not loaded correctly.Jul 2 2018, 9:20 AM
CommunityTechBot lowered the priority of this task from High to Low.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
Petrb moved this task from Backlog to Code / Bug on the Huggle board.Oct 10 2018, 6:12 PM
Petrb closed this task as Declined.Dec 13 2018, 9:42 PM

I don't think this is going to get fixed in upstream so it can't be fixed in Huggle either, you should reopen this in case that Flow extension starts supporting this